Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.qd3d.camera
Class CameraData

    java.lang.Object
      |
      +--quicktime.util.QTByteObject
            |
            +--quicktime.qd3d.camera.CameraData

All Implemented Interfaces:
  java.lang.Cloneable, quicktime.jdirect.PrimitivesLib, java.io.Serializable, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

Direct Known Subclasses:
  OrthographicCameraData, ViewAngleAspectCameraData, ViewPlaneCameraData

public class CameraData
extends QTByteObject
implements quicktime.jdirect.PrimitivesLib, java.lang.Cloneable

CameraData contains information for the camera angle and position. Includes the camera's placement location, the camera's range, and the camera's viewport plane. refer to TQ3CameraData in QuickDraw3D

See Also:
  Serialized Form

Field Summary
`static int` | `kNativeSize` This is the size (the number of bytes) that are required for this class

Fields inherited from interface quicktime.jdirect.PrimitivesLib
`JDirect_MacOSX, libraryInstance`

Constructor Summary
`CameraData()` Creates a CameraData object containing no data.
`CameraData(CameraPlacement placement, CameraRange range, CameraViewPort viewPort)` Creates a CameraData object from the data.

Method Summary
`java.lang.Object` | `clone()` Returns a copy of this class.
`static EndianDescriptor` | `getEndianDescriptor()` Returns the EndianDescriptor for this class.
`CameraPlacement` | `getPlacement()` returns the camera placement
`CameraRange` | `getRange()` returns the camera range
`CameraViewPort` | `getViewPort()` returns the camera range
`void` | `setPlacement(CameraPlacement placement)` sets the camera placement
`void` | `setRange(CameraRange range)` sets the camera range
`void` | `setViewPort(CameraViewPort viewPort)` sets the camera range
`java.lang.String` | `toString()` Returns a string representation of the class

Methods inherited from class quicktime.util.QTByteObject
`equals, fromArray, getBytes, getSize`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### kNativeSize

    public static final int kNativeSize

  This is the size (the number of bytes) that are required for this class

Constructor Detail

### CameraData

    public CameraData()

  Creates a CameraData object containing no data.

### CameraData

    public CameraData(CameraPlacement placement,
                      CameraRange range,
                      CameraViewPort viewPort)

  Creates a CameraData object from the data.
  Parameters:
    `iPlacement` - The camera placement data.
    `iRange` - The camera range data.
    `iViewPort` - The camera viewport data.

Method Detail

### getEndianDescriptor

    public static final EndianDescriptor getEndianDescriptor()

  Returns the EndianDescriptor for this class.
  Returns:
    an EndianDescriptor

### getPlacement

    public final CameraPlacement getPlacement()

  returns the camera placement

### setPlacement

    public final void setPlacement(CameraPlacement placement)

  sets the camera placement

### getRange

    public final CameraRange getRange()

  returns the camera range

### setRange

    public final void setRange(CameraRange range)

  sets the camera range

### getViewPort

    public final CameraViewPort getViewPort()

  returns the camera range

### setViewPort

    public final void setViewPort(CameraViewPort viewPort)

  sets the camera range

### clone

    public java.lang.Object clone()

  Returns a copy of this class.

### toString

    public java.lang.String toString()

  Returns a string representation of the class
  Overrides:
    `toString` in class `QTByteObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD